Summary:        A hatch plugin to help build Jupyter packages
Name:           python-hatch-jupyter-builder
Version:        0.9.0
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://pypi.org/project/hatch-jupyter-builder/
Source0:        %{pypi_source hatch_jupyter_builder}

Patch0001:      https://github.com/jupyterlab/hatch-jupyter-builder/pull/108.patch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest python3-pytest-mock
BuildArch:      noarch

%global _description %{expand:
This provides a build hook plugin for Hatch that adds
a build step for use with Jupyter packages.}


%description %_description

%package -n     python3-hatch-jupyter-builder
Summary:        A hatch plugin to help build Jupyter packages

%description -n python3-hatch-jupyter-builder %_description


%prep
%autosetup -p1 -n hatch_jupyter_builder-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hatch_jupyter_builder

%check
# Skipped tests installs from internet
%pytest -k "not test_hatch_build"


%files -n python3-hatch-jupyter-builder -f %{pyproject_files}
%doc README.md
%{_bindir}/hatch-jupyter-builder


%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.9.0-1
- initial build
